AnsweredAssumed Answered

Problem Loading Plug-Ins in FM iOS SDK 17.0.2 | code signature invalid

Question asked by NateBrock73072 on Jun 30, 2018
Latest reply on Aug 9, 2018 by monkeybreadsoftware

We are just now starting to upgrade our iOS SDK 16.x apps to the new iOS SDK 17.0.2.

I've created a new xcode project via the terminal command line, and copied in my iOS MBS Plugin,

My BaseElements iOS Plugin (both which are working perfectly in iOS SDK 16.

 

Heck, I even tried to use the FMmini plugin that comes with the Plugin SDK Bundle from here

FileMaker Pro and other Computer Software Technology | FileMaker

 

All of the plug-ins produce this type of error at runtime/build:

 

 

018-06-30 22:23:04.646908-0500 test17[2561:1467402] Error loading /var/containers/Bundle/Application/DEF26AB5-1512-433C-9B15-DDC55750599D/test17.app/Plug-Ins/MBS.fmplugin/MBS:  dlopen(/var/containers/Bundle/Application/DEF26AB5-1512-433C-9B15-DDC55750599D/test17.app/Plug-Ins/MBS.fmplugin/MBS, 265): no suitable image found.  Did find:

 

  /var/containers/Bundle/Application/DEF26AB5-1512-433C-9B15-DDC55750599D/test17.app/Plug-Ins/MBS.fmplugin/MBS: code signature invalid for '/var/containers/Bundle/Application/DEF26AB5-1512-433C-9B15-DDC55750599D/test17.app/Plug-Ins/MBS.fmplugin/MBS'

 

Has anyone experience this problem?

 

Take Care,

Nate

 

 

 

Outcomes